cdac.medinfo.sdk.hl7282.baselibs.segments

## Class DRG

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.DRG

- All Implemented Interfaces:
    ISegment

      public class DRG
      extends Segment

  DRG - Diagnosis Related Group Segment

  The DRG segment contains diagnoses-related grouping information of various types. The DRG segment is used to send the DRG information, for example, for billing and medical records encoding.

  Represents an HL7 DRG message segment. This segment has the following fields:

  DRG-1: Diagnostic Related Group (CNE)Optional
  DRG-2: DRG Assigned Date/Time (DTM)Optional
  DRG-3: DRG Approval Indicator (ID)Optional
  DRG-4: DRG Grouper Review Code (CWE)Optional
  DRG-5: Outlier Type (CWE)Optional
  DRG-6: Outlier Days (NM)Optional
  DRG-7: Outlier Cost (CP)Optional
  DRG-8: DRG Payor (CWE)Optional
  DRG-9: Outlier Reimbursement (CP)Optional
  DRG-10: Confidential Indicator (ID)Optional
  DRG-11: DRG Transfer Type (CWE)Optional
  DRG-12: Name of Coder (XPN)Optional
  DRG-13: Grouper Status (CWE)Optional
  DRG-14: PCCL Value Code (CWE)Optional
  DRG-15: Effective Weight (NM)Optional
  DRG-16: Monetary Amount (MO)Optional
  DRG-17: Status Patient (CWE)Optional
  DRG-18: Grouper Software Name (ST)Optional
  DRG-19: Grouper Software Version (ST)Optional
  DRG-20: Status Financial Calculation (CWE)Optional
  DRG-21: Relative Discount/Surcharge (MO)Optional
  DRG-22: Basic Charge (MO)Optional
  DRG-23: Total Charge (MO)Optional
  DRG-24: Discount/Surcharge (MO)Optional
  DRG-25: Calculated Days (NM)Optional
  DRG-26: Status Gender (CWE)Optional
  DRG-27: Status Age (CWE)Optional
  DRG-28: Status Length of Stay (CWE)Optional
  DRG-29: Status Same Day Flag (CWE)Optional
  DRG-30: Status Separation Mode (CWE)Optional
  DRG-31: Status Weight at Birth (CWE)Optional
  DRG-32: Status Respiration Minutes (CWE)Optional
  DRG-33: Status Admission (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRG()` Constructs the DRG segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MO` | `getBasicCharge()` Retrieves the Basic Charge.
    `NM` | `getCalculatedDays()` Retrieves the Calculated Days.
    `ID` | `getConfidentialIndicator()` Retrieves the Confidential Indicator.
    `CNE` | `getDiagnosticRelatedGroup()` Retrieves the Diagnostic Related Group.
    `MO` | `getDiscountSurcharge()` Retrieves the Discount/Surcharge.
    `ID` | `getDRGApprovalIndicator()` Retrieves the DRG Approval Indicator.
    `DTM` | `getDRGAssignedDateTime()` Retrieves the DRG Assigned Date Time.
    `CWE` | `getDRGGrouperReviewCode()` Retrieves the DRG Grouper Review Code.
    `CWE` | `getDRGPayor()` Retrieves the DRG Payor.
    `CWE` | `getDRGTransferType()` Retrieves the DRG Transfer Type.
    `NM` | `getEffectiveWeight()` Retrieves the Effective Weight.
    `ST` | `getGrouperSoftwareName()` Retrieves the Grouper Software Name .
    `ST` | `getGrouperSoftwareVersion()` Retrieves the Grouper Software Version.
    `CWE` | `getGrouperStatus()` Retrieves the Grouper Status.
    `MO` | `getMonetaryAmount()` Retrieves the Monetary Amount.
    `XPN` | `getNameOfCoder()` Retrieves the Name of Coder.
    `CP` | `getOutlierCost()` Retrieves the Outlier Cost.
    `NM` | `getOutlierDays()` Retrieves the Outlier Days.
    `CP` | `getOutlierReimbursement()` Retrieves the Outlier Reimbursement.
    `CWE` | `getOutlierType()` Retrieves the Outlier Type.
    `CWE` | `getPCCLValueCode()` Retrieves the PCCL Value Code.
    `MO` | `getRelativeDiscountSurcharge()` Retrieves the Relative Discount/Surcharge.
    `CWE` | `getStatusAdmission()` Retrieves the Status Admission .
    `CWE` | `getStatusAge()` Retrieves the Status Age.
    `CWE` | `getStatusFinancialCalculation()` Retrieves the Status Financial Calculation.
    `CWE` | `getStatusGender()` Retrieves the Status Gender.
    `CWE` | `getStatusLengthOfStay()` Retrieves the Status Length of Stay.
    `CWE` | `getStatusPatient()` Retrieves the Status Patient.
    `CWE` | `getStatusRespirationMinutes()` Retrieves the Status Respiration Minutes.
    `CWE` | `getStatusSameDayFlag()` Retrieves the Status Same Day Flag.
    `CWE` | `getStatusSeparationMode()` Retrieves the Status Separation Mode.
    `CWE` | `getStatusWeightAtBirth()` Retrieves the Status Weight at Birth.
    `MO` | `getTotalCharge()` Retrieves the Total Charge.
    `void` | `setBasicCharge(MO objBasicCharge)` Set the Basic Charge.
    `void` | `setBasicCharge(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Basic Charge.
    `void` | `setCalculatedDays(NM objCalculatedDays)` Set the Calculated Days.
    `void` | `setCalculatedDays(java.lang.String strCalculatedDays)` Set the Calculated Days.
    `void` | `setConfidentialIndicator(ID objconfidentialIndicator)` Set the Confidential Indicator.
    `void` | `setConfidentialIndicator(java.lang.String strConfidentialIndicator)` Set the Confidential Indicator.
    `void` | `setDiagnosticRelatedGroup(CNE diagnosticRelatedGroup)` Set the Diagnostic Related Group.
    `void` | `setDiagnosticRelatedGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diagnostic Related Group.
    `void` | `setDiscountSurcharge(MO objDiscountSurcharge)` Set the Discount/Surcharge.
    `void` | `setDiscountSurcharge(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Discount/Surcharge.
    `void` | `setDRGApprovalIndicator(ID objdRGApprovalIndicator)` Set the DRG Approval Indicator.
    `void` | `setDRGApprovalIndicator(java.lang.String strApprovalIndicator)` Set the DRG Approval Indicator.
    `void` | `setDRGAssignedDateTime(DTM dRGAssignedDateTime)` Set the DRG Assigned Date Time.
    `void` | `setDRGAssignedDateTime(java.lang.String strTime)` Set the DRG Assigned Date Time.
    `void` | `setDRGGrouperReviewCode(CWE objdRGGrouperReviewCode)` Set the DRG Grouper Review Code.
    `void` | `setDRGGrouperReviewCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Grouper Review Code.
    `void` | `setDRGPayor(CWE objdRGPayor)` Set the DRG Payor.
    `void` | `setDRGPayor(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Payor.
    `void` | `setDRGTransferType(CWE objdRGTransferType)` Set the DRG Transfer Type.
    `void` | `setDRGTransferType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the DRG Transfer Type.
    `void` | `setEffectiveWeight(NM objEffectiveWeight)` Set the Effective Weight.
    `void` | `setEffectiveWeight(java.lang.String strEffectiveWeight)` Set the Effective Weight.
    `void` | `setGrouperSoftwareName(ST objGrouperSoftwareName)` Set the Grouper Software Name .
    `void` | `setGrouperSoftwareName(java.lang.String strGrouperSoftwareName)` Set the Grouper Software Name .
    `void` | `setGrouperSoftwareVersion(ST objGrouperSoftwareVersion)` Set the Grouper Software Version.
    `void` | `setGrouperSoftwareVersion(java.lang.String strGrouperSoftwareVersion)` Set the Grouper Software Version.
    `void` | `setGrouperStatus(CWE objGrouperStatus)` Set the Grouper Status.
    `void` | `setGrouperStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Grouper Status.
    `void` | `setMonetaryAmount(MO objMonetaryAmount)` Set the Monetary Amount.
    `void` | `setMonetaryAmount(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Monetary Amount.
    `void` | `setNameOfCoder(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Name of Coder.
    `void` | `setNameOfCoder(XPN objNameOfCoder)` Sets the Name of Coder This field holds the name of the person ("coder") who supervised or undertook the determination of the DRG code.
    `void` | `setOutlierCost(CP outlierCost)` Set the Outlier Cost.
    `void` | `setOutlierCost(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Outlier Cost.
    `void` | `setOutlierDays(NM objoutlierDays)` Set the Outlier Days.
    `void` | `setOutlierDays(java.lang.String strOutlierDays)` Set the Outlier Days.
    `void` | `setOutlierReimbursement(CP outlierReimbursement)` Set the Outlier Reimbursement.
    `void` | `setOutlierReimbursement(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Outlier Reimbursement.
    `void` | `setOutlierType(CWE outlierType)` Set the Outlier Type.
    `void` | `setOutlierType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Outlier Type.
    `void` | `setPCCLValueCode(CWE objPCCLValueCode)` Set the PCCL Value Code.
    `void` | `setPCCLValueCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the PCCL Value Code.
    `void` | `setRelativeDiscountSurcharge(MO objRelativeDiscountSurcharge)` Set the Relative Discount/Surcharge.
    `void` | `setRelativeDiscountSurcharge(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Relative Discount/Surcharge.
    `void` | `setStatusAdmission(CWE objStatusAdmission)` Set the Status Admission .
    `void` | `setStatusAdmission(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Admission .
    `void` | `setStatusAge(CWE objStatusAge)` Set the Status Age.
    `void` | `setStatusAge(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Age.
    `void` | `setStatusFinancialCalculation(CWE objStatusFinancialCalculation)` Set the Status Financial Calculation.
    `void` | `setStatusFinancialCalculation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Financial Calculation.
    `void` | `setStatusGender(CWE objStatusGender)` Set the Status Gender.
    `void` | `setStatusGender(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Gender.
    `void` | `setStatusLengthOfStay(CWE objStatusLengthOfStay)` Set the Status Length of Stay.
    `void` | `setStatusLengthOfStay(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Length of Stay.
    `void` | `setStatusPatient(CWE objStatusPatient)` Set the Status Patient.
    `void` | `setStatusPatient(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Patient.
    `void` | `setStatusRespirationMinutes(CWE objStatusRespirationMinutes)` Set the Status Respiration Minutes.
    `void` | `setStatusRespirationMinutes(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Respiration Minutes.
    `void` | `setStatusSameDayFlag(CWE objStatusSameDayFlag)` Set the Status Same Day Flag.
    `void` | `setStatusSameDayFlag(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Same Day Flag.
    `void` | `setStatusSeparationMode(CWE objStatusSeparationMode)` Set the Status Separation Mode.
    `void` | `setStatusSeparationMode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Separation Mode.
    `void` | `setStatusWeightAtBirth(CWE objStatusWeightAtBirth)` Set the Status Weight at Birth.
    `void` | `setStatusWeightAtBirth(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Status Weight at Birth.
    `void` | `setTotalCharge(MO objTotalCharge)` Set the Total Charge.
    `void` | `setTotalCharge(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Total Charge.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DRG

          public DRG()

      Constructs the DRG segment.

  - ### Method Detail

    - #### getConfidentialIndicator

          public ID getConfidentialIndicator()

      Retrieves the Confidential Indicator. This field indicates if the DRG contains a confidential diagnosis.
      Returns:
        String - confidentialIndicator

    - #### getDiagnosticRelatedGroup

          public CNE getDiagnosticRelatedGroup()

      Retrieves the Diagnostic Related Group. This field contains the DRG for the transaction.
      Returns:
        CWE - diagnosticRelatedGroup

    - #### getDRGApprovalIndicator

          public ID getDRGApprovalIndicator()

      Retrieves the DRG Approval Indicator. This field indicates if the DRG is approve by a reviewing entity.
      Returns:
        String - dRGApprovalIndicator

    - #### getDRGAssignedDateTime

          public DTM getDRGAssignedDateTime()

      Retrieves the DRG Assigned Date Time. This field contains the time stamp to indicate the date and time of the assigned DRG.
      Returns:
        DTM - dRGAssignedDateTime

    - #### getDRGGrouperReviewCode

          public CWE getDRGGrouperReviewCode()

      Retrieves the DRG Grouper Review Code. This field specify the code that indicates the grouper results is on review and approve.
      Returns:
        String - dRGGrouperReviewCode

    - #### getDRGPayor

          public CWE getDRGPayor()

      Retrieves the DRG Payor. This field indicates the associated DRG Payor.
      Returns:
        String - dRGPayor

    - #### getDRGTransferType

          public CWE getDRGTransferType()

      Retrieves the DRG Transfer Type. This field indicates the type of hospital receiving a transfer patient, which affects how a facility is reimbursed under diagnosis related group(DRG's).
      Returns:
        String - dRGTransferType

    - #### getOutlierCost

          public CP getOutlierCost()

      Retrieves the Outlier Cost. This field contains the amount of money that have been approved for an outlier payment.
      Returns:
        CP - outlierCost

    - #### getOutlierDays

          public NM getOutlierDays()

      Retrieves the Outlier Days. This field contains the number of days that have been approved as an outlier payment.
      Returns:
        String - outlierDays

    - #### getOutlierReimbursement

          public CP getOutlierReimbursement()

      Retrieves the Outlier Reimbursement. This field indicates the part of the total reimbursement' designated for reimbursement of outlier conditions(day or cost).
      Returns:
        CP - outlierReimbursement

    - #### getOutlierType

          public CWE getOutlierType()

      Retrieves the Outlier Type. This field specify the type of outlier (i.e. period of care beyond DRG-standard stay in facility) that have been pay.
      Returns:
        CWE - outlierType

    - #### getNameOfCoder

          public XPN getNameOfCoder()

      Retrieves the Name of Coder. This field holds the name of the person ("coder") who supervised or undertook the determination of the DRG code.
      Returns:
        XPN - NameOfCoder

    - #### getGrouperStatus

          public CWE getGrouperStatus()

      Retrieves the Grouper Status. This field indicates the grouper status in general.
      Returns:
        CWE - GrouperStatus

    - #### getPCCLValueCode

          public CWE getPCCLValueCode()

      Retrieves the PCCL Value Code. This field indicates the PCCL (Patient Clinical Complexity Level) value for the calculated DRG as a single value.
      Returns:
        CWE - PCCLValueCode

    - #### getEffectiveWeight

          public NM getEffectiveWeight()

      Retrieves the Effective Weight. This field contains the effective weight as calculated for this DRG.
      Returns:
        String - EffectiveWeight

    - #### getMonetaryAmount

          public MO getMonetaryAmount()

      Retrieves the Monetary Amount. This field contains the monetary amount as calculated for this DRG, i.e., the sum of money the insurance company will pay.
      Returns:
        MO - MonetaryAmount

    - #### getStatusPatient

          public CWE getStatusPatient()

      Retrieves the Status Patient. This field contains the status of the patient concerning the financial aspects. It indicates whether the length of stay is normal or respectively shorter or longer than normal.
      Returns:
        CWE - StatusPatient

    - #### getGrouperSoftwareName

          public ST getGrouperSoftwareName()

      Retrieves the Grouper Software Name . This field contains the name of the software used for grouping.
      Returns:
        ST - GrouperSoftwareName

    - #### getGrouperSoftwareVersion

          public ST getGrouperSoftwareVersion()

      Retrieves the Grouper Software Version. This field contains the version information of the software used for grouping.
      Returns:
        ST - GrouperSoftwareVersion

    - #### getStatusFinancialCalculation

          public CWE getStatusFinancialCalculation()

      Retrieves the Status Financial Calculation. This field contains the status of the DRG calculation regarding the financial aspects.
      Returns:
        CWE - StatusFinancialCalculation

    - #### getRelativeDiscountSurcharge

          public MO getRelativeDiscountSurcharge()

      Retrieves the Relative Discount/Surcharge. There will be a discount/surcharge for the calculated price due to a very short stay, early referral or a very long stay. This field contains the discount or surcharge that is included in the final price.
      Returns:
        MO - RelativeDiscountSurcharge

    - #### getBasicCharge

          public MO getBasicCharge()

      Retrieves the Basic Charge. The basic charge is calculated as a multiplication of the relative weight with the base rate.
      Returns:
        MO - BasicCharge

    - #### getTotalCharge

          public MO getTotalCharge()

      Retrieves the Total Charge. This field contains the total charge including surcharges or discounts.
      Returns:
        MO - TotalCharge

    - #### getDiscountSurcharge

          public MO getDiscountSurcharge()

      Retrieves the Discount/Surcharge. This field contains the discount/surcharge as determined for this DRG.
      Returns:
        MO - DiscountSurcharge

    - #### getCalculatedDays

          public NM getCalculatedDays()

      Retrieves the Calculated Days. This field contains the number of days, for which a surcharge/discount has been determined.
      Returns:
        String - CalculatedDays

    - #### getStatusGender

          public CWE getStatusGender()

      Retrieves the Status Gender. This field contains the status of the use of the gender information for DRG determination.
      Returns:
        String - StatusGender

    - #### getStatusAge

          public CWE getStatusAge()

      Retrieves the Status Age. This field contains the status of the use of the age information for DRG determination.
      Returns:
        CWE - StatusAge

    - #### getStatusLengthOfStay

          public CWE getStatusLengthOfStay()

      Retrieves the Status Length of Stay. This field contains the status of the DRG calculation for the length of stay information.
      Returns:
        CWE - StatusLengthOfStay

    - #### getStatusSameDayFlag

          public CWE getStatusSameDayFlag()

      Retrieves the Status Same Day Flag. This field contains the status of the use of the same day information for DRG determination.
      Returns:
        CWE - StatusSameDayFlag

    - #### getStatusSeparationMode

          public CWE getStatusSeparationMode()

      Retrieves the Status Separation Mode. This field contains the status of the use of the separation mode information for DRG determination.
      Returns:
        CWE - StatusSeparationMode

    - #### getStatusWeightAtBirth

          public CWE getStatusWeightAtBirth()

      Retrieves the Status Weight at Birth. This field contains the status of the use of the weight at birth information for DRG determination.
      Returns:
        CWE - StatusWeightAtBirth

    - #### getStatusRespirationMinutes

          public CWE getStatusRespirationMinutes()

      Retrieves the Status Respiration Minutes. This field contains the status of the use of the respiration minutes information for DRG determination.
      Returns:
        CWE - StatusRespirationMinutes

    - #### getStatusAdmission

          public CWE getStatusAdmission()

      Retrieves the Status Admission . This field contains the admission status for the DRG determination.
      Returns:
        CWE - StatusAdmission

    - #### setConfidentialIndicator

          public void setConfidentialIndicator(java.lang.String strConfidentialIndicator)

      Set the Confidential Indicator. This field indicates if the DRG contains a confidential diagnosis.
      Parameters:
        `strConfidentialIndicator` - Specifies whether the diagnosis is confidential.

    - #### setConfidentialIndicator

          public void setConfidentialIndicator(ID objconfidentialIndicator)

      Set the Confidential Indicator. This field indicates if the DRG contains a confidential diagnosis.
      Parameters:
        `objconfidentialIndicator` - Specifies whether the diagnosis is confidential.

    - #### setDiagnosticRelatedGroup

          public void setDiagnosticRelatedGroup(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionID,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameOfSecondAltenateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diagnostic Related Group. This field contains the DRG for the transaction.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDiagnosticRelatedGroup

          public void setDiagnosticRelatedGroup(CNE diagnosticRelatedGroup)

      Set the Diagnostic Related Group. This field contains the DRG for the transaction.
      Parameters:
        `diagnosticRelatedGroup` - Diagnostic Related Group.

    - #### setDRGApprovalIndicator

          public void setDRGApprovalIndicator(java.lang.String strApprovalIndicator)

      Set the DRG Approval Indicator. This field indicates if the DRG is approve by a reviewing entity.
      Parameters:
        `strApprovalIndicator` - Indicates if the DRG has been approved by a reviewing entity. [Refer to HL7 Table 0136].Suggested values Y,N.

    - #### setDRGApprovalIndicator

          public void setDRGApprovalIndicator(ID objdRGApprovalIndicator)

      Set the DRG Approval Indicator. This field indicates if the DRG is approve by a reviewing entity.
      Parameters:
        `objdRGApprovalIndicator` - Indicates if the DRG has been approved by a reviewing entity. [Refer to HL7 Table 0136].Suggested values Y,N.

    - #### setDRGAssignedDateTime

          public void setDRGAssignedDateTime(java.lang.String strTime)

      Set the DRG Assigned Date Time. This field contains the time stamp to indicate the date and time of the assigned DRG.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDRGAssignedDateTime

          public void setDRGAssignedDateTime(DTM dRGAssignedDateTime)

      Set the DRG Assigned Date Time. This field contains the time stamp to indicate the date and time of the assigned DRG.
      Parameters:
        `dRGAssignedDateTime` - DRG Assigned Date Time.

    - #### setDRGGrouperReviewCode

          public void setDRGGrouperReviewCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Grouper Review Code. This field specify the code that indicates the grouper results is on review and approve.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGGrouperReviewCode

          public void setDRGGrouperReviewCode(CWE objdRGGrouperReviewCode)

      Set the DRG Grouper Review Code. This field specify the code that indicates the grouper results is on review and approve.
      Parameters:
        `objdRGGrouperReviewCode` - Indicates that the grouper results have been reviewed and approved. This field has been retained for backward compatibility only.

    - #### setDRGPayor

          public void setDRGPayor(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Payor. This field indicates the associated DRG Payor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGPayor

          public void setDRGPayor(CWE objdRGPayor)

      Set the DRG Payor. This field indicates the associated DRG Payor.
      Parameters:
        `objdRGPayor` - Indicates the associated DRG Payor.[Refer to User-defined Table 0229] suggested values are M,C,G.

    - #### setDRGTransferType

          public void setDRGTransferType(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the DRG Transfer Type. This field indicates the type of hospital receiving a transfer patient, which affects how a facility is reimbursed under diagnosis related group(DRG's).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDRGTransferType

          public void setDRGTransferType(CWE objdRGTransferType)

      Set the DRG Transfer Type. This field indicates the type of hospital receiving a transfer patient, which affects how a facility is reimbursed under diagnosis related group(DRG's).
      Parameters:
        `objdRGTransferType` - Indicates the type of hospital receiving a transfer patient.[ [Refer to User-defined Table 0415].suggested values N,E.

    - #### setOutlierCost

          public void setOutlierCost(MO objPrice,
                            java.lang.String strPriceType,
                            java.lang.String strFromValue,
                            java.lang.String strToValue,
                            CWE objRangeUnits,
                            java.lang.String strRangeType)

      Set the Outlier Cost. This field contains the amount of money that have been approved for an outlier payment.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setOutlierCost

          public void setOutlierCost(CP outlierCost)

      Set the Outlier Cost. This field contains the amount of money that have been approved for an outlier payment.
      Parameters:
        `outlierCost` - Outlier Cost.

    - #### setOutlierDays

          public void setOutlierDays(java.lang.String strOutlierDays)

      Set the Outlier Days. This field contains the number of days that have been approved as an outlier payment.
      Parameters:
        `strOutlierDays` - Contains the number of days that have been approved for an outlier payment. This field has been retained for backward compatibility only.

    - #### setOutlierDays

          public void setOutlierDays(NM objoutlierDays)

      Set the Outlier Days. This field contains the number of days that have been approved as an outlier payment.
      Parameters:
        `objoutlierDays` - Contains the number of days that have been approved for an outlier payment. This field has been retained for backward compatibility only.

    - #### setOutlierReimbursement

          public void setOutlierReimbursement(MO objPrice,
                                     java.lang.String strPriceType,
                                     java.lang.String strFromValue,
                                     java.lang.String strToValue,
                                     CWE objRangeUnits,
                                     java.lang.String strRangeType)

      Set the Outlier Reimbursement. This field indicates the part of the total reimbursement' designated for reimbursement of outlier conditions(day or cost).
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setOutlierReimbursement

          public void setOutlierReimbursement(CP outlierReimbursement)

      Set the Outlier Reimbursement. This field indicates the part of the total reimbursement' designated for reimbursement of outlier conditions(day or cost).
      Parameters:
        `outlierReimbursement` - Outlier Reimbursement.

    - #### setOutlierType

          public void setOutlierType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Outlier Type. This field specify the type of outlier (i.e. period of care beyond DRG-standard stay in facility) that have been pay.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOutlierType

          public void setOutlierType(CWE outlierType)

      Set the Outlier Type. This field specify the type of outlier (i.e. period of care beyond DRG-standard stay in facility) that have been pay.
      Parameters:
        `outlierType` - Outlier Type.

    - #### setNameOfCoder

          public void setNameOfCoder(FN objFamilyName,
                            java.lang.String strGivenName,
                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                            java.lang.String strSuffix,
                            java.lang.String strPrefix,
                            java.lang.String strNameTypeCode,
                            java.lang.String strNameRepresentationCode,
                            CWE objNameContext,
                            java.lang.String strNameAssemblyOrder,
                            DTM objEffectiveDate,
                            DTM objExpirationDate,
                            java.lang.String strProfessionalSuffix,
                            java.lang.String strCalledBy)

      Set the Name of Coder. This field holds the name of the person ("coder") who supervised or undertook the determination of the DRG code.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setNameOfCoder

          public void setNameOfCoder(XPN objNameOfCoder)

      Sets the Name of Coder This field holds the name of the person ("coder") who supervised or undertook the determination of the DRG code.
      Parameters:
        `objNameOfCoder` - object of Name of Coder.

    - #### setGrouperStatus

          public void setGrouperStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Grouper Status. This field indicates the grouper status in general.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGrouperStatus

          public void setGrouperStatus(CWE objGrouperStatus)

      Set the Grouper Status. This field indicates the grouper status in general.
      Parameters:
        `objGrouperStatus` -

    - #### setPCCLValueCode

          public void setPCCLValueCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the PCCL Value Code. This field indicates the PCCL (Patient Clinical Complexity Level) value for the calculated DRG as a single value.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPCCLValueCode

          public void setPCCLValueCode(CWE objPCCLValueCode)

      Set the PCCL Value Code. This field indicates the PCCL (Patient Clinical Complexity Level) value for the calculated DRG as a single value.
      Parameters:
        `objPCCLValueCode` -

    - #### setEffectiveWeight

          public void setEffectiveWeight(java.lang.String strEffectiveWeight)

      Set the Effective Weight. This field contains the effective weight as calculated for this DRG.
      Parameters:
        `strEffectiveWeight` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setEffectiveWeight

          public void setEffectiveWeight(NM objEffectiveWeight)

      Set the Effective Weight. This field contains the effective weight as calculated for this DRG.
      Parameters:
        `objEffectiveWeight` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setMonetaryAmount

          public void setMonetaryAmount(java.lang.String strQuantity,
                               java.lang.String strDenomination)

      Set the Monetary Amount. This field contains the monetary amount as calculated for this DRG, i.e., the sum of money the insurance company will pay.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setMonetaryAmount

          public void setMonetaryAmount(MO objMonetaryAmount)

      Set the Monetary Amount. This field contains the monetary amount as calculated for this DRG, i.e., the sum of money the insurance company will pay.
      Parameters:
        `objMonetaryAmount` - Object of Monetary Amount.

    - #### setStatusPatient

          public void setStatusPatient(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Patient. This field contains the status of the patient concerning the financial aspects. It indicates whether the length of stay is normal or respectively shorter or longer than normal.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusPatient

          public void setStatusPatient(CWE objStatusPatient)

      Set the Status Patient. This field contains the status of the patient concerning the financial aspects. It indicates whether the length of stay is normal or respectively shorter or longer than normal.
      Parameters:
        `objStatusPatient` -

    - #### setGrouperSoftwareName

          public void setGrouperSoftwareName(java.lang.String strGrouperSoftwareName)

      Set the Grouper Software Name . This field contains the name of the software used for grouping.
      Parameters:
        `strGrouperSoftwareName` - Specifies Grouper Software Name

    - #### setGrouperSoftwareName

          public void setGrouperSoftwareName(ST objGrouperSoftwareName)

      Set the Grouper Software Name . This field contains the name of the software used for grouping.
      Parameters:
        `objGrouperSoftwareName` - Specifies Grouper Software Name

    - #### setGrouperSoftwareVersion

          public void setGrouperSoftwareVersion(java.lang.String strGrouperSoftwareVersion)

      Set the Grouper Software Version. This field contains the version information of the software used for grouping.
      Parameters:
        `strGrouperSoftwareVersion` - Specifies Grouper Software Version

    - #### setGrouperSoftwareVersion

          public void setGrouperSoftwareVersion(ST objGrouperSoftwareVersion)

      Set the Grouper Software Version. This field contains the version information of the software used for grouping.
      Parameters:
        `objGrouperSoftwareVersion` - Specifies Grouper Software Version

    - #### setStatusFinancialCalculation

          public void setStatusFinancialCalculation(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Financial Calculation. This field contains the status of the DRG calculation regarding the financial aspects.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusFinancialCalculation

          public void setStatusFinancialCalculation(CWE objStatusFinancialCalculation)

      Set the Status Financial Calculation. This field contains the status of the DRG calculation regarding the financial aspects.
      Parameters:
        `objStatusFinancialCalculation` -

    - #### setRelativeDiscountSurcharge

          public void setRelativeDiscountSurcharge(java.lang.String strQuantity,
                                          java.lang.String strDenomination)
                                            throws InvalidDataTypeException

      Set the Relative Discount/Surcharge. There will be a discount/surcharge for the calculated price due to a very short stay, early referral or a very long stay. This field contains the discount or surcharge that is included in the final price.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setRelativeDiscountSurcharge

          public void setRelativeDiscountSurcharge(MO objRelativeDiscountSurcharge)

      Set the Relative Discount/Surcharge. There will be a discount/surcharge for the calculated price due to a very short stay, early referral or a very long stay. This field contains the discount or surcharge that is included in the final price.
      Parameters:
        `objRelativeDiscountSurcharge` - Object of Relative Discount/Surcharge.

    - #### setBasicCharge

          public void setBasicCharge(java.lang.String strQuantity,
                            java.lang.String strDenomination)
                              throws InvalidDataTypeException

      Set the Basic Charge. The basic charge is calculated as a multiplication of the relative weight with the base rate.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setBasicCharge

          public void setBasicCharge(MO objBasicCharge)

      Set the Basic Charge. The basic charge is calculated as a multiplication of the relative weight with the base rate.
      Parameters:
        `objBasicCharge` - Object of Basic Charge.

    - #### setTotalCharge

          public void setTotalCharge(java.lang.String strQuantity,
                            java.lang.String strDenomination)
                              throws InvalidDataTypeException

      Set the Total Charge. This field contains the total charge including surcharges or discounts.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setTotalCharge

          public void setTotalCharge(MO objTotalCharge)

      Set the Total Charge. This field contains the total charge including surcharges or discounts.
      Parameters:
        `objTotalCharge` - Object of Total Charge.

    - #### setDiscountSurcharge

          public void setDiscountSurcharge(java.lang.String strQuantity,
                                  java.lang.String strDenomination)
                                    throws InvalidDataTypeException

      Set the Discount/Surcharge. This field contains the discount/surcharge as determined for this DRG.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.
      Throws:
        `InvalidDataTypeException`

    - #### setDiscountSurcharge

          public void setDiscountSurcharge(MO objDiscountSurcharge)

      Set the Discount/Surcharge. This field contains the discount/surcharge as determined for this DRG.
      Parameters:
        `objDiscountSurcharge` - Object of Discount/Surcharge.

    - #### setCalculatedDays

          public void setCalculatedDays(java.lang.String strCalculatedDays)

      Set the Calculated Days. This field contains the number of days, for which a surcharge/discount has been determined.
      Parameters:
        `strCalculatedDays` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setCalculatedDays

          public void setCalculatedDays(NM objCalculatedDays)

      Set the Calculated Days. This field contains the number of days, for which a surcharge/discount has been determined.
      Parameters:
        `objCalculatedDays` - This field contains the number that identifies the significance or priority of the diagnosis code.[Refer to HL7 Table 0359].Suggested Values 0,1,2 . . .

    - #### setStatusGender

          public void setStatusGender(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Gender. This field contains the status of the use of the gender information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusGender

          public void setStatusGender(CWE objStatusGender)

      Set the Status Gender. This field contains the status of the use of the gender information for DRG determination.
      Parameters:
        `objStatusGender` -

    - #### setStatusAge

          public void setStatusAge(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Age. This field contains the status of the use of the age information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusAge

          public void setStatusAge(CWE objStatusAge)

      Set the Status Age. This field contains the status of the use of the age information for DRG determination.
      Parameters:
        `objStatusAge` -

    - #### setStatusLengthOfStay

          public void setStatusLengthOfStay(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Length of Stay. This field contains the status of the DRG calculation for the length of stay information.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusLengthOfStay

          public void setStatusLengthOfStay(CWE objStatusLengthOfStay)

      Set the Status Length of Stay. This field contains the status of the DRG calculation for the length of stay information.
      Parameters:
        `objStatusLengthOfStay` -

    - #### setStatusSameDayFlag

          public void setStatusSameDayFlag(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Same Day Flag. This field contains the status of the use of the same day information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusSameDayFlag

          public void setStatusSameDayFlag(CWE objStatusSameDayFlag)

      Set the Status Same Day Flag. This field contains the status of the use of the same day information for DRG determination.
      Parameters:
        `objStatusSameDayFlag` -

    - #### setStatusSeparationMode

          public void setStatusSeparationMode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Separation Mode. This field contains the status of the use of the separation mode information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusSeparationMode

          public void setStatusSeparationMode(CWE objStatusSeparationMode)

      Set the Status Separation Mode. This field contains the status of the use of the separation mode information for DRG determination.
      Parameters:
        `objStatusSeparationMode` -

    - #### setStatusWeightAtBirth

          public void setStatusWeightAtBirth(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Weight at Birth. This field contains the status of the use of the weight at birth information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusWeightAtBirth

          public void setStatusWeightAtBirth(CWE objStatusWeightAtBirth)

      Set the Status Weight at Birth. This field contains the status of the use of the weight at birth information for DRG determination.
      Parameters:
        `objStatusWeightAtBirth` -

    - #### setStatusRespirationMinutes

          public void setStatusRespirationMinutes(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Respiration Minutes. This field contains the status of the use of the respiration minutes information for DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusRespirationMinutes

          public void setStatusRespirationMinutes(CWE objStatusRespirationMinutes)

      Set the Status Respiration Minutes. This field contains the status of the use of the respiration minutes information for DRG determination.
      Parameters:
        `objStatusRespirationMinutes` -

    - #### setStatusAdmission

          public void setStatusAdmission(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Status Admission . This field contains the admission status for the DRG determination.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStatusAdmission

          public void setStatusAdmission(CWE objStatusAdmission)

      Set the Status Admission . This field contains the admission status for the DRG determination.
      Parameters:
        `objStatusAdmission` -

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.